type Cache = Record<string, string | number | object>;
export declare class SettingsCache {
    allSettingsCache: Map<string, Cache | null>;
    private getCacheKey;
    getAllSettings(facilityId?: string): Cache;
    setAllSettings(value: Cache, facilityId?: string): void;
    reset(facilityId?: string): void;
    has(facilityId?: string): boolean;
}
export declare const settingsCache: SettingsCache;
export {};
